%define is_mandrake %(test -e /etc/mandrake-release && echo 1 || echo 0)
%define is_suse %(test -e /etc/SuSE-release && echo 1 || echo 0)
%define is_fedora %(test -e /etc/fedora-release && echo 1 || echo 0)

%define dist redhat
%define disttag rh

%if %is_mandrake
%define dist mandrake
%define disttag mdk
%endif
%if %is_suse
%define dist suse
%define disttag suse
%endif
%if %is_fedora
%define dist fedora
%define disttag rhfc
%endif

%define distver %(release="`rpm -q --queryformat='%{VERSION}' %{dist}-release 2>/dev/null`" ; if test $? != 0 ; then release="" ; fi ; echo "$release")

#%define medium_path /home/chs/usr/lib/openhbci/plugins/14/media
%define medium_path %{_libdir}/openhbci/plugins/14/media

# Note: All commands below use %{_prefix}, which is rpm's system
# default prefix (as defined in /usr/lib/rpm/macros), so this variable
# is not used inside this spec file.
#%define prefix /home/chs/usr

Summary: A free client-side implementation of HBCI (German Online Banking)
Name: openhbci
Version: 0.9.18
Release: 1.%{disttag}%{distver}
Source: http://download.sourceforge.net/openhbci/%{name}-%{version}.tar.gz
Requires: openssl 
BuildRequires: openssl-devel gwenhywfar-devel
Group: Libraries/System
Copyright: LGPL
Packager: Martin Preuss <martin@libchipcard.de>
URL: http://www.openhbci.de
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/ldconfig
Prefix: %{_prefix}

%description
OpenHBCI is the first free client-side implementation of the HBCI
specification. HBCI (Home Banking Computer Interface) is the German
homebanking standard used by many German banks.  For chipcard support,
additionally the package openhbci-plugin-ddvcard is needed.  For actual
homebanking, use an application like AqMoney (http://aqmoney.sf.net)
or GnuCash (http://www.gnucash.org)

%package devel
Summary: OpenHBCI development kit
Group: Development/Libraries
%description devel
This package contains openhbci-config and header files for writing and
compiling programs using OpenHBCI.


%prep
%setup -q

%build
%configure --disable-static
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc README TODO COPYING ChangeLog
%{_libdir}/*.so
%{_libdir}/*.so.*
%{medium_path}/*.so*

%files devel
%defattr(-,root,root,0755)
%doc COPYING
%{_bindir}/openhbci-config
%{_includedir}/*
%{_libdir}/*.la
%{_datadir}/aclocal/openhbci.m4
%{medium_path}/*.la


%changelog

